Get One Report
Retrieves a Report for a given Verification id with multiple reports. If you don’t have the report id,
it is recommended to use the embedded reports key from GET /verification-requests/{verification_id} to retrieve reports.
You can get the report in PDF format by adding Accept: application/pdf to your headers. When testing, please use the generated curl command
with --output <PDF filename> specified.
<!— theme: info —>
Only completed Verifications have Reports associated with them. Any other request will fail with either 400 or 404, and provide more information as an attached error message. Reports are also embedded into the Verification object returned from get and get one.
Authentication
Bearer tokens conform to the RFC6750 spec.
Production API keys (secret keys) are prefixed with tw_sk_ and sandbox keys are prefixed with tw_sk_test_. If your secret key is published, you should rotate your API keys.
Truework.JS publishable keys are prefixed with tw_pk_ and tw_pk_test respectively.
Examples
- For Authorization Headers:
Authorization: Bearer tw_sk_test_e508eb797edb95ade85284bcb54dd49ed45db1be - For the "try it now"
tokenfield, input only the token itself, omittingBearer.
Path parameters
Headers
Query parameters
Comma-separated names of fields to include in the response. If omitted, all fields are included
Response headers
For JSON requests, the signature of the request, see: https://www.truework.com/docs/verifications-signatures
Response
Calculated income features. Only returned if the income_analytics query parameter is provided and is true and the employee status on the report is active.
The pay period end date of the most recent paystub (falling back to the pay date if no pay period end is set). This field is only populated for VOIE reports and will be null for non-VOIE reports or when no paystubs exist.